## dkms 2.8.7

=== Makefile ===
RELEASE_DATE := "01 October 2021"
RELEASE_MAJOR := 2
RELEASE_MINOR := 8
RELEASE_MICRO := 7
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
DIST := unstable
SHELL=bash

SBIN = $(DESTDIR)/usr/sbin
ETC = $(DESTDIR)/etc/dkms
VAR = $(DESTDIR)/var/lib/dkms
MAN = $(DESTDIR)/usr/share/man/man8
INITD = $(DESTDIR)/etc/rc.d/init.d
LIBDIR = $(DESTDIR)/usr/lib/dkms
BASHDIR = $(DESTDIR)/usr/share/bash-completion/completions
KCONF = $(DESTDIR)/etc/kernel
SHAREDIR = $(DESTDIR)/usr/share
DOCDIR = $(SHAREDIR)/doc/dkms
SYSTEMD = $(DESTDIR)/usr/lib/systemd/system

#Define the top-level build directory
BUILDDIR := $(shell pwd)
TOPDIR := $(shell pwd)

.PHONY = tarball

all: clean tarball rpm debs

clean:
	-rm -rf *~ dist/

install:
	mkdir -p -m 0755 $(VAR) $(SBIN) $(MAN) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
	mkdir -p -m 0755 $(KCONF)/install.d $(KCONF)/prerm.d $(KCONF)/postinst.d
	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
	install -p -m 0755 dkms $(SBIN)
	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
	install -p -m 0755 sign_helper.sh $(ETC)
	install -p -m 0644 dkms_dbversion $(VAR)
	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
	install -p -m 0644 dkms.8 $(MAN)/dkms.8
	install -p -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
	install -p -m 0755 kernel_prerm.d_dkms $(KCONF)/prerm.d/dkms
	sed -i -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' -e 's/#RELEASE_DATE#/$(RELEASE_DATE)/' $(SBIN)/dkms $(MAN)/dkms.8
	gzip -9 $(MAN)/dkms.8

DOCFILES=sample.spec sample.conf COPYING README.md sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec

doc-perms:
	# ensure doc file permissions ok
	chmod 0644 $(DOCFILES)

install-redhat-systemd: install doc-perms
	mkdir -m 0755 -p  $(SYSTEMD)
	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
	install -p -m 0644 dkms.service $(SYSTEMD)

install-doc:
	mkdir -m 0755 -p $(DOCDIR)
	install -p -m 0644 $(DOCFILES) $(DOCDIR)

install-debian: install install-doc
	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms_packages.py
	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
	ln -s template-dkms-mkdeb $(ETC)/template-dkms-mkdsc
	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
	chmod +x $(ETC)/template-dkms-mkdeb/debian/postinst
	chmod +x $(ETC)/template-dkms-mkdeb/debian/prerm
	chmod +x $(ETC)/template-dkms-mkdeb/debian/rules
	mkdir   -p -m 0755 $(ETC)/template-dkms-mkbmdeb/debian
	install -p -m 0664 template-dkms-mkbmdeb/Makefile $(ETC)/template-dkms-mkbmdeb/
	install -p -m 0664 template-dkms-mkbmdeb/debian/* $(ETC)/template-dkms-mkbmdeb/debian/
	chmod +x $(ETC)/template-dkms-mkbmdeb/debian/rules
	rm $(DOCDIR)/COPYING*
	rm $(DOCDIR)/sample*

deb_destdir=$(BUILDDIR)/dist
TARBALL=$(deb_destdir)/$(RELEASE_STRING).tar.gz
tarball: $(TARBALL)

$(TARBALL):
	mkdir -p $(deb_destdir)
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	cp -a ../$(RELEASE_NAME) $${tmp_dir}/$(RELEASE_STRING) ; \
	sed -e "s/#RELEASE_VERSION#/$(RELEASE_VERSION)/" dkms > $${tmp_dir}/$(RELEASE_STRING)/dkms ; \
	sed -e "s/#RELEASE_VERSION#/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/$(RELEASE_STRING)/dkms.spec ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name .git -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dist -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name \*~ -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.rpm -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.tar.gz -type f -exec rm -f \{\} \; ; \
	rm -rf $${tmp_dir}/$(RELEASE_STRING)/debian ; \
	sync ; sync ; sync ; \
	tar cvzf $(TARBALL) -C $${tmp_dir} $(RELEASE_STRING); \
	rm -rf $${tmp_dir} ;


rpm: $(TARBALL) dkms.spec
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	echo $(tmp_dir); \
	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
	cp $(TARBALL) $${tmp_dir}/SOURCES ; \
	sed "s/#RELEASE_VERSION#/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \
	pushd $${tmp_dir} > /dev/null 2>&1; \
	rpmbuild -ba --define "_topdir $${tmp_dir}" SPECS/dkms.spec ; \
	popd > /dev/null 2>&1; \
	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* dist ; \
	rm -rf $${tmp_dir}

debmagic: $(TARBALL)
	mkdir -p dist/
	ln -s $(TARBALL) $(DEB_TMP_BUILDDIR)/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz
	tar -C $(DEB_TMP_BUILDDIR) -xzf $(TARBALL)
	cp -ar debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
	chmod +x $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/rules
	cd $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING) ; \
	dch -v $(RELEASE_VERSION)-0 "New upstream version, $(RELEASE_VERSION)"; \
	dpkg-buildpackage -D -b -rfakeroot ; \
	dpkg-buildpackage -D -S -sa -rfakeroot ; \
	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/ ; \
	cd -

debs:
	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST); \
	rm -rf $${tmp_dir}

=== template-dkms-mkbmdeb/Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	tar zxvf "$(NAME)-$(VERSION).dkms.tar.gz"
	install -d "$(DESTDIR)/lib/modules/$(KVER)/updates/dkms/"
	install -m 644 dkms_main_tree/$(KVER)/$(KARCH)/module/*.ko "$(DESTDIR)/lib/modules/$(KVER)/updates/dkms/"
	rm -rf dkms_main_tree/ dkms_binaries_only/
endif

=== debian/changelog ===
dkms (2.8.7-2ubuntu2) jammy; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: If no linux-headers-* packages are installed, install
    all available ones before building modules. (Closes: #945594)
  * improve verbosity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2022 09:13:22 +0200

dkms (2.8.7-2ubuntu1) jammy; urgency=medium

  * d/p/prerm-hook-parsing: fix parsing of module name and version during
    kernel removal so that DKMS modules actually get removed when kernels are
    removed. LP: #1963835.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 01 Apr 2022 13:54:42 +0100

dkms (2.8.7-2) unstable; urgency=medium

  * Drop old conffile moved upstream (Closes: #990138)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Oct 2021 09:16:04 +0200

dkms (2.8.7-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 2.8.7
  * Refresh patches
  * Bump std-version to 4.6.0
  * Remove AUTHORS file, dropped upstream
  * override_dh_auto_install to fix double installation and failure in second gzip of manpage

  [ Dimitri John Ledkov ]
  * dkms-autopkgtest: only test dkms builds against kernel abi in the ADT
    trigger such that results are reported only for the requested kernel
    flavour. This is to catch cases when dkms module builds for a
    derivative kernel, but not for generic (or any other flavour) that may
    be installed on the test system in addition to the requested kernel
    flavour.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Oct 2021 10:23:02 +0200

dkms (2.8.4-4) unstable; urgency=medium

  * debian/patches/149.patch:
    - upstream proposed patch to fix wrong bash interpreter (Closes: #986674)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Apr 2021 14:28:48 +0200

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dynamic Kernel Modules Support Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/dell-oss/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no

Package: dkms
Architecture: all
Provides: dh-sequence-dkms
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc | c-compiler,
 dpkg-dev,
 make | build-essential,
 coreutils (>= 7.4),
 patch,
 dctrl-tools,
Recommends: fakeroot,
 sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
Suggests: menu, e2fsprogs
Breaks: ${dkms:Breaks}
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > debian/scripts/$@

override_dh_auto_build:

override_dh_auto_install:

override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	dh_gencontrol -- \
		-Vdkms:Breaks="shim-signed (<< 1.34~)"
else
	dh_gencontrol
endif

## dkms 2.8.7-2ubuntu2.1mint1

=== debian/changelog ===
dkms (2.8.7-2ubuntu2.1mint1) vera; urgency=medium

  * dkms: Hardcode OS detection

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Feb 2023 11:07:19 +0000

dkms (2.8.7-2ubuntu2.1) jammy; urgency=medium

  * Cherry-pick patches from kinetic/stable to address building dkms
    modules correctly for HWE kernels (LP: #1991664):
    + Fix dkms-autopkgtest when a given dkms package is built into the
    kernel already of the same version. (i.e. zfs-linux on Ubuntu).
    + Use exact compiler for dkms as used to build the kernel, when
    possible.
    + Depend on gcc-12 to build modules for HWE kernels correctly.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 13:25:35 +0100

## dkms 2.8.7-2ubuntu2.2mint1

=== debian/changelog ===
dkms (2.8.7-2ubuntu2.2mint1) virginia; urgency=medium

  * upstream: Add new feature BUILD_EXCLUSIVE_CONFIG="CONFIG_FOO !CONFIG_BAR"

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Nov 2023 09:49:29 +0000

## dkms 3.0.3

=== Makefile ===
RELEASE_DATE := "17 December 2021"
RELEASE_MAJOR := 3
RELEASE_MINOR := 0
RELEASE_MICRO := 3
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
DIST := unstable
SHELL=bash

SBIN = $(DESTDIR)/usr/sbin
ETC = $(DESTDIR)/etc/dkms
VAR = $(DESTDIR)/var/lib/dkms
MAN = $(DESTDIR)/usr/share/man/man8
INITD = $(DESTDIR)/etc/rc.d/init.d
LIBDIR = $(DESTDIR)/usr/lib/dkms
BASHDIR = $(DESTDIR)/usr/share/bash-completion/completions
KCONF = $(DESTDIR)/etc/kernel
SHAREDIR = $(DESTDIR)/usr/share
DOCDIR = $(SHAREDIR)/doc/dkms
SYSTEMD = $(DESTDIR)/usr/lib/systemd/system

#Define the top-level build directory
BUILDDIR := $(shell pwd)
TOPDIR := $(shell pwd)

.PHONY = tarball

all: clean tarball

clean:
	-rm -rf dist/
	-rm -rf dkms
	-rm -rf dkms.8

dkms: dkms.in
	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' $^ > $@

dkms.8: dkms.8.in
	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' -e 's/#RELEASE_DATE#/$(RELEASE_DATE)/' $^ > $@

install: dkms dkms.8
	mkdir -p $(VAR)
	install -D -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
	install -D -m 0755 dkms $(SBIN)/dkms
	install -D -m 0755 dkms_autoinstaller $(LIBDIR)/dkms_autoinstaller
	install -D -m 0644 dkms_framework.conf $(ETC)/framework.conf
	install -D -m 0755 sign_helper.sh $(ETC)/sign_helper.sh
	install -D -m 0644 dkms.bash-completion $(BASHDIR)/dkms
	install -D -m 0644 dkms.8 $(MAN)/dkms.8
	install -D -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms
	install -D -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
	install -D -m 0755 kernel_prerm.d_dkms $(KCONF)/prerm.d/dkms
	gzip -9 $(MAN)/dkms.8

install-redhat: install
	install -D -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -D -m 0755 lsb_release $(LIBDIR)/lsb_release
	install -D -m 0644 dkms.service $(SYSTEMD)/dkms.service

install-debian: install
	install -D -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms_packages.py
	install -D -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms

install-doc:
	install -d -m 0644 COPYING $(DOCDIR)
	install -d -m 0644 README.md $(DOCDIR)

TARBALL=$(BUILDDIR)/dist/$(RELEASE_STRING).tar.gz
tarball: $(TARBALL)

$(TARBALL): dkms dkms.8
	mkdir -p $(@D)
	git archive --prefix=$(RELEASE_STRING)/ --add-file=dkms --add-file=dkms.8 -o $@ HEAD

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Petter Reinholdtsen <pere@debian.org>,
           Aron Xu <aron@debian.org>,
           Mario Limonciello <Mario_Limonciello@dell.com>,
           Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: dctrl-tools,
         dh-dkms (= ${binary:Version}),
         dpkg-dev,
         gcc | c-compiler,
         kmod | kldutils,
         make | build-essential,
         patch,
         ${misc:Depends}
Recommends: fakeroot,
            linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
            sudo
Suggests: e2fsprogs, menu
Breaks: ${dkms:Breaks}
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: dkms (<< 3.0.3-3~)
Replaces: dkms (<< 3.0.3-3~)
Provides: dh-sequence-dkms
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+debian/scripts/dh_dkms: debian/scripts/dh_dkms.in
+	sed -r "s,^#VERSION#,our \$$VERSION = \"$(DEB_VERSION)\";," $< > $@
 
 dh_dkms.1: debian/scripts/dh_dkms
 	pod2man \
@@ -16,6 +19,7 @@
 
 override_dh_auto_install:
 
+override_dh_install: debian/scripts/dh_dkms
 override_dh_install:
 	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
 	dh_install

## dkms 3.0.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "17 December 2021"
+RELEASE_DATE := "15 July 2022"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 3
+RELEASE_MICRO := 6
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -45,7 +45,7 @@
 	install -D -m 0755 dkms $(SBIN)/dkms
 	install -D -m 0755 dkms_autoinstaller $(LIBDIR)/dkms_autoinstaller
 	install -D -m 0644 dkms_framework.conf $(ETC)/framework.conf
-	install -D -m 0755 sign_helper.sh $(ETC)/sign_helper.sh
+	mkdir -p $(ETC)/framework.conf.d
 	install -D -m 0644 dkms.bash-completion $(BASHDIR)/dkms
 	install -D -m 0644 dkms.8 $(MAN)/dkms.8
 	install -D -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms

=== debian/changelog ===
dkms (3.0.6-2ubuntu2) kinetic; urgency=medium

  * Fix dkms signing regressions with cherry-picks from 3.0.7 upstream
    git. LP: #1991725
    - Reinstate enroll call, as it causes dpkg-trigger action during dpkg
    transaction to enroll newly created key, if it wasn't enrolled yet.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 20 Oct 2022 12:34:29 +0100

dkms (3.0.6-2ubuntu1) kinetic; urgency=medium

  * Export exact CC compiler earlier, before pre_build script is run. Some
    dkms modules already perform compilation in pre_build script, and thus
    need correct CC variable earlier. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 15:22:46 +0100

dkms (3.0.6-2) unstable; urgency=medium

  * debian/patches/7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f.patch
    - Apply upstream patch suggested by Marinelli Giorgio, to fix an issue due
      to an extra $ character.
  * debian/patches/49d647b6476d605feb10548e33fc3807415ec724.patch
    - Apply another upstream hotfix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 12:27:13 +0200

dkms (3.0.6-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Print a summary for all tested kernels.
  * Update Lintian overrides.

  [ Dimitri John Ledkov ]
  * Use exact compiler for dkms as used to build the kernel, when possible.
  * Fix dkms-autopkgtest when a given dkms package is built into the kernel
    already of the same version. (i.e. zfs-linux on Ubuntu).

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.6
  * Refresh patches for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 10:11:13 +0200

dkms (3.0.3-4) unstable; urgency=medium

  * Make deprecation warnings less noisy and more informative.
    (Closes: #1012043)
  * Add new feature BUILD_EXCLUSIVE_CONFIG="CONFIG_FOO !CONFIG_BAR".
  * dh_dkms: Bump generated dependency if BUILD_EXCLUSIVE_CONFIG is used.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2022 09:28:22 +0200

dkms (3.0.3-3) experimental; urgency=medium

  * dkms-autopkgtest: Try not to fail if linux-doc is not installed.
  * Set 'our $VERSION' in dh_dkms to show it along autoscripts.
  * Move dh-dkms into a separate package.  (Closes: #966601)
  * Regenerate dh_dkms(1).
  * Clean up obsolete conffiles from /etc/dkms/template*/*. (Closes: #1012285)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 23:49:20 +0200

dkms (3.0.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Only install linux-headers-* packages matching the
    source version of linux-doc (a dependency generated by autodep8 for
    autopkgtest-pkg-dkms). Mixing different versions may fail if multiple
    distros (e.g. testing and unstable) are enabled and pinning is used.
    (Closes: #1010883)
  * Provide versioned virtual package dh-dkms.
  * Drop maintainer script code handling upgrades from versions predating
    squeeze/trusty.
  * Properly clean up ancient /etc/bash_completion.d/dkms.
  * Clean up ancient /etc/dkms/kernel_install.d_dkms.  (Closes: #996812)
  * Add debian/upstream/metadata.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.
    - dkms: Drop versioned constraint on coreutils in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2022 16:12:46 +0200

dkms (3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3 (Closes: #996104, #1005812, #996648)
  * Drop examples removed upstream
  * Drop patches now part of upstream codebase:
    - 149.patch
    - do-not-load-modules.patch
  * Refresh export-CC patch

  [ Andreas Beckmann ]
  * dkms-autopkgtest: If no linux-headers-* packages are installed, install
    all available ones before building modules. (Closes: #945594)
  * improve verbosity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2022 12:08:47 +0200

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc | c-compiler,
 dpkg-dev,
 make | build-essential,
 patch,
 dctrl-tools,
 dh-dkms (= ${binary:Version}),
Recommends: fakeroot,
 sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
Suggests: menu, e2fsprogs
Breaks: ${dkms:Breaks}
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends:
 ${perl:Depends},
 ${misc:Depends},
Breaks:
 dkms (<< 3.0.3-3~),
Replaces:
 dkms (<< 3.0.3-3~),
Provides:
 dh-sequence-dkms,
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.

## dkms 3.0.8

=== debian/changelog ===
dkms (3.0.8-1~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ba0c1088cc8003212526564a34c47de64be5e523.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/dkms/dkms_3.0.8-1.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sat, 26 Nov 2022 18:56:34 +0100

dkms (3.0.8-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * update watch file
  * message consistency

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.8
  * Drop upstream patches:
    - 2b76d4aa29e65ae4ed8e89685c4e729f1276c5fc
    - 3ca52f8769bdf7ebdc83735355fff7c5c0664152
    - 7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f
    - 8d60956f6dcda0679066954215eb8be4045413b4
    - 985bfd584f0e87bc726865bfdc17887d4713c854
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2022 22:34:50 +0100

dkms (3.0.6-4) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix dkms signing regressions with cherry-picks from 3.0.7 upstream
    git. LP: #1991725
    - Reinstate enroll call, as it causes dpkg-trigger action during dpkg
    transaction to enroll newly created key, if it wasn't enrolled yet.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Oct 2022 21:04:14 +0200

dkms (3.0.6-3) unstable; urgency=medium

  * Export exact CC compiler earlier, before pre_build script is run. Some
    dkms modules already perform compilation in pre_build script, and thus
    need correct CC variable earlier. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 15:22:46 +0100

## dkms 3.0.9

=== debian/changelog ===
dkms (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9 (Closes: #1019425)
  * Remove patches merged upstream and refresh remainders
  * Remove unused override: source/maintainer-manual-page
  * Remove unused "Breaks: ${dkms:Breaks}" from d/control
  * Fix bash term in dkms_common.postinst

 -- Aron Xu <aron@debian.org>  Tue, 13 Dec 2022 18:01:38 +0800

dkms (3.0.8-3) unstable; urgency=high

  * Revert back to 3.0.8-1 behavior to prevent breakages for sid users
    (Closes: #1025214, #1025171)

 -- Aron Xu <aron@debian.org>  Fri, 02 Dec 2022 19:49:16 +0800

dkms (3.0.8-2) unstable; urgency=medium

  * export-CC, exact-cc: Merge and improve the two patches. Ensure that
    compiler is set and exported as early in the prepartion stage as
    possible, is not subsequently unset (already unset at the start of the
    dkms script), and also export MAKEFLAGS to ensure that environment CC
    variable is used by kernel's Makefile. Fixes LP: #1997841
  * Drop dangling unapplied patch from git.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Nov 2022 14:59:45 +0000

## dkms 3.0.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "15 July 2022"
+RELEASE_DATE := "03 January 2023"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 6
+RELEASE_MICRO := 10
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -51,7 +51,7 @@
 	install -D -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms
 	install -D -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
 	install -D -m 0755 kernel_prerm.d_dkms $(KCONF)/prerm.d/dkms
-	gzip -9 $(MAN)/dkms.8
+	gzip -n -9 $(MAN)/dkms.8
 
 install-redhat: install
 	install -D -m 0755 dkms_find-provides $(LIBDIR)/find-provides

=== test/dkms_dependencies_test-1.0/Makefile ===
all:
    @echo ERROR: This module should never build.
    @exit 1

=== test/dkms_failing_test-1.0/Makefile ===
all:
    @echo ERROR: This module fails to build.
    @exit 1"

=== debian/changelog ===
dkms (3.0.10-8+deb12u1) bookworm; urgency=medium

  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 13:43:22 +0200

dkms (3.0.10-8) unstable; urgency=medium

  * Disable tests broken by fix-builtin-archive-dkms-coinstallation.patch.
    (Closes: #1033396)
  * Run autopkgtest for all architectures using the headers from the
    linux-headers-generic (virtual) meta-package.
  * Generate dh_dkms.1 at build time.
  * Clean up /boot/*.old-dkms on upgrades from bullseye.  (Closes: #717584)
  * Clean up obsolete /etc/dkms/sign_helper.sh on upgrades. (Closes: #1019563)
  * dkms-autopkgtest: Try to 'dkms install' its BUILD_DEPENDS before testing a
    module. (Single level only, without recursion.)
  * Fix fallback value for BUILD_MODULE_NAME[0].  (Closes: #651973)
  * dkms.8: Clarify 'dkms add' arguments.  (Closes: #704917)
  * Print a warning if /proc is not mounted.  (Closes: #810665, #968074)
  * dkms_autoinstaller: Skip autoinstall if headers are missing (like
    dkms_common.postinst).  (Closes: #1030595)
  * Use return code 77 if skipping due to BUILD_EXCLUSIVE_*.
  * Sort kernels by version.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:01:26 +0200

dkms (3.0.10-7) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix release regression preventing co-installing in-archive dkms
    packages with kernels that built-in identical or newer versions of the
    same dkms package. LP: #2008269

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 00:02:08 +0100

dkms (3.0.10-6) unstable; urgency=medium

  * Fix test failure on s390x due to typo in "linux" package installation
    name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 09:37:48 +0100

dkms (3.0.10-5) unstable; urgency=medium

  * dkms-autopkgtest: fix typo in variable name

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2023 11:14:35 +0800

dkms (3.0.10-4) unstable; urgency=medium

  * dkms-autopkgtest: fix build vs install checks

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 07 Feb 2023 19:02:02 +0000

dkms (3.0.10-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms: Drop Depends: dh-dkms, the B-D: dkms have migrated to
    B-D: dh-sequence-dkms or B-D: dh-dkms.
  * Provide virtual package dkms-autopkgtest.
  * dkms-autopkgtest: Accept a list of packages to be tested as parameters.
  * dkms-autopkgtest: Ensure dctrl-tools and openssl are installed.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * dh_dkms: Error out if dkms.conf cannot be read.  (Closes: #1028331)
  * dh_dkms: Fall back to debian/tmp when looking up the dkms.conf template.

  [ Aron Xu ]
  * add autopkgtest for dkms itself

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2023 14:55:19 +0800

dkms (3.0.10-2) unstable; urgency=medium

  * dkms-autopkgtest:
    - Use dkms --force to force installation and build
      if the module is already found (e.g. provided by kernel)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Jan 2023 10:16:53 +0100

dkms (3.0.10-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop gencontrol hack, now that the Breaks has been removed

  [ Aron Xu ]
  * New upstream version 3.0.10 (Closes: #1025783, #1026822)
  * Drop patch merged upstream

 -- Aron Xu <aron@debian.org>  Tue, 10 Jan 2023 22:08:49 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dkms
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
+Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
  Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dell/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
@@ -25,13 +24,21 @@
  dpkg-dev,
  make | build-essential,
  patch,
- dctrl-tools,
- dh-dkms (= ${binary:Version}),
 Recommends: fakeroot,
  sudo,
- linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
+ linux-headers-generic | linux-headers-686-pae | linux-headers-amd64 | linux-headers,
 Suggests: menu, e2fsprogs
-Breaks: ${dkms:Breaks}
+Breaks:
+# in buster, not in bullseye
+ sl-modem-dkms (<< 2.9.11~20110321-16.0),
+# in stretch, not in buster
+ blktap-dkms (<< 2.0.93-0.10.0),
+# in jessie, not in stretch
+ oss4-dkms (<< 4.2-build2020-1~),
+# in wheezy, not in jessie
+ blcr-dkms (<< 0.8.6~b3-1.0),
+Provides:
+ dkms-autopkgtest (= ${binary:Version}),
 Description: Dynamic Kernel Module System (DKMS)
  DKMS is a framework designed to allow individual kernel modules to be upgraded
  without changing the whole kernel. It is also very easy to rebuild modules as

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

debian/scripts/dh_dkms: debian/scripts/dh_dkms.in
	sed -r "s,^#VERSION#,our \$$VERSION = \"$(DEB_VERSION)\";," $< > $@
	chmod +x $@

debian/scripts/dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > $@

override_dh_auto_build: debian/scripts/dh_dkms
override_dh_auto_build: debian/scripts/dh_dkms.1

override_dh_auto_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms

=== debian/tests/control ===
Test-Command: sh debian/tests/run_test_wrapper.sh
Features: test-name=run_test.sh
Depends:
 dkms,
 openssl,
 linux-headers-generic,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
 skip-not-installable,

## dkms 3.0.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "03 January 2023"
+RELEASE_DATE := "27 April 2023"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 10
+RELEASE_MICRO := 11
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)

=== debian/changelog ===
dkms (3.0.11-1ubuntu15) plucky; urgency=medium

  * dh_dkms: Always substitute #MODULE_VERSION#. (LP: #2102149)
    - Thanks to Andreas Beckmann!

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 13 Mar 2025 13:56:47 -0500

dkms (3.0.11-1ubuntu14) oracular; urgency=medium

  * control: Migrate to gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Aug 2024 11:49:17 +0300

dkms (3.0.11-1ubuntu13) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:18 +0200

dkms (3.0.11-1ubuntu12) mantic; urgency=medium

  * Depend on both gcc & gcc-13, as some dkms packages use autoconf and
    require /usr/bin/gcc to be there, even if underlying kernel build will
    use /usr/bin/gcc-13. This still is improvement, over mantic-release
    which in addition to these symlinks also pulls in gcc-12.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 10 Oct 2023 18:15:57 +0100

dkms (3.0.11-1ubuntu11) mantic; urgency=medium

  * Bump depends from gcc-12 to gcc-13, as all mantic kernels migrated to
    gcc-13.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 09 Oct 2023 23:15:05 +0100

dkms (3.0.11-1ubuntu10) mantic; urgency=medium

  * In autopkgtests expect zst compression for dkms modules for v6.5
    kernels.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 12 Sep 2023 19:40:25 +0100

dkms (3.0.11-1ubuntu9) mantic; urgency=medium

  * Unsupported DKMS modules break kernel header installation if compilation
    fails. Handle this by ignoring autoinstall errors if a release upgrade is
    in progress or if the file /etc/dkms/no-autoinstall-errors exists
    (LP: #2028366).

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 25 Jul 2023 16:29:26 +0200

dkms (3.0.11-1ubuntu8) mantic; urgency=medium

  * Kernel headers in recent ubuntu kernels hardcode specific compiler,
    without depending on the said compiler. Add gcc-12 dep on dkms
    packages, to unbreak all current set of autopkgtests that are
    executing against kernel in release and lack gcc-12 otherwise. This is
    a stop gap, as really, I guess we should add compiler dependency on
    the header package and live with that.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 20 Jul 2023 00:45:23 +0100

dkms (3.0.11-1ubuntu7) mantic; urgency=medium

  * Reset test messages correctly.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 24 May 2023 10:11:33 +0100

dkms (3.0.11-1ubuntu6) mantic; urgency=medium

  * Fix hardcoded arch in test result expectations.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 14:18:20 +0100

dkms (3.0.11-1ubuntu5) mantic; urgency=medium

  * Attempt #5 to fix autopkgtest on all arches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 11:44:45 +0100

dkms (3.0.11-1ubuntu4) mantic; urgency=medium

  * Testsuite forces a fake mok key, on arches that do not have
    update-secureboot-policy. Thus it should be possible to run the tests
    on all arches without specifying no-signing-tool flag. Try this now,
    again.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 19 May 2023 12:44:59 +0100

dkms (3.0.11-1ubuntu3) mantic; urgency=medium

  * Support running tests on systems with module signing, but without
    update-secureboot-policy.
  * Limit dkms-test-dkms to prevent badpkg on i386 for dkms-autopkgtest

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 23:42:40 +0100

dkms (3.0.11-1ubuntu2) mantic; urgency=medium

  * Fix autopkgtest for ubuntu delta.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 12:50:01 +0100

dkms (3.0.11-1ubuntu1) mantic; urgency=medium

  * Deliberate Ubuntu delta:
    - Even if there is no delta with Debian, do not force-sync this
    package. This package will be updated by the kernel team as part of
    landing new kernels. Neither upstream, nor Debian, use dkms to the
    same extend as Ubuntu Kernel Team build processes do, plus Ubuntu has
    more dkms packages than Debian. Testing in Debian is insufficient for
    successful upload to Ubuntu. Over the previous two cycles, there were
    multiple regressions introduced in upstream and Debian revisions that
    have significantly impacted Ubuntu development. Introducing more
    strict upload process for the DKMS package should hopefully mitigate
    this. Previous request from the Kernel to do this, was ignored close
    to Lunar release, which caused Lunar to be shipped with a regressed
    dkms.

  *  Fixup autopkgtest:
    - Support systems with secure boot off
    - Support systems without update-secureboot-policy

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 09 May 2023 10:37:14 +0100

dkms (3.0.11-1) experimental; urgency=medium

  * New upstream release.
    - Adds BUILD_EXCLUSIVE_{CONFIG,_KERNEL_{MIN,MAX}}.  (Closes: #911665)
    - Fixes BUILD_EXCLUSIVE matches propagating as error.  (Closes: #1031561)
  * Drop patches that were applied upstream.
  * Avoid unnecessary rpm comands on Debian based systems.  (Closes: #741399)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Apr 2023 18:12:51 +0200

dkms (3.0.10-9) experimental; urgency=medium

  * Add dkms-test-dkms package with trivial kernel module for dkms tests.
  * New autopkgtest: Install some-dkms after linux-headers.
  * New autopkgtest: Install linux-headers after some-dkms.
  * New autopkgtest: Install some-dkms after linux-image w/o linux-headers.
  * New autopkgtest: Install linux-image after some-dkms w/o linux-headers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:19:59 +0200

dkms (3.0.10-8ubuntu1) mantic; urgency=medium

  * Fix a regression that prevents a kernel installation if a BUILD_EXCLUSIVE
    skips a DKMS build. LP: #2018226

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 02 May 2023 16:41:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dkms
 Section: kernel
 Priority: optional
-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
@@ -13,6 +14,7 @@
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: dkms
 Architecture: all
@@ -20,7 +22,7 @@
 Pre-Depends: lsb-release
 Depends: ${misc:Depends},
  kmod | kldutils,
- gcc | c-compiler,
+ gcc, gcc-14,
  dpkg-dev,
  make | build-essential,
  patch,
@@ -28,15 +30,6 @@
  sudo,
  linux-headers-generic | linux-headers-686-pae | linux-headers-amd64 | linux-headers,
 Suggests: menu, e2fsprogs
-Breaks:
-# in buster, not in bullseye
- sl-modem-dkms (<< 2.9.11~20110321-16.0),
-# in stretch, not in buster
- blktap-dkms (<< 2.0.93-0.10.0),
-# in jessie, not in stretch
- oss4-dkms (<< 4.2-build2020-1~),
-# in wheezy, not in jessie
- blcr-dkms (<< 0.8.6~b3-1.0),
 Provides:
  dkms-autopkgtest (= ${binary:Version}),
 Description: Dynamic Kernel Module System (DKMS)
@@ -63,3 +56,13 @@
  .
  This package provides a debhelper add-on 'dkms' that simplifies packaging of
  dkms kernel module source packages.
+
+Package: dkms-test-dkms
+Architecture: amd64
+Depends:
+ ${misc:Depends},
+Description: trivial dkms test kernel module
+ This package provides the dkms source code for the dkms-test kernel module.
+ .
+ This package is only intended for ci tests and not expected to be installed
+ on regular systems

=== debian/tests/control ===
Test-Command: sh debian/tests/run_test_wrapper.sh
Features: test-name=run_test.sh
Depends:
 dkms,
 openssl,
 linux-headers-generic (>= 6.5.0)
 | linux-headers-rpi [armel]
 ,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
 skip-not-installable,

# install some-dkms after linux-headers
Test-Command: apt-get install -yf dkms-test-dkms
Features: test-name=install_some-dkms_after_linux-headers
Architecture: amd64
Depends:
 dkms,
 linux-headers-generic (>= 6.5.0),
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install linux-headers after some-dkms
Test-Command: apt-get install -yf linux-headers-generic
Features: test-name=install_linux-headers_after_some-dkms
Architecture: amd64
Depends:
 dkms-test-dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install some-dkms after linux-image w/o linux-headers
Test-Command: apt-get install -yf dkms-test-dkms
Features: test-name=install_some-dkms_after_linux-image_without_linux-headers
Architecture: amd64
Depends:
 dkms,
 linux-image-generic (>= 6.5.0),
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install linux-image after some-dkms w/o linux-headers
Test-Command: apt-get install -yf linux-image-generic
Features: test-name=install_linux-image_after_some-dkms_without_linux-headers
Architecture: amd64
Depends:
 dkms-test-dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
